generate_events crashes on systematics calculation

Bug #1809651 reported by Yuan Chao on 2018-12-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MadGraph5_aMC@NLO
Undecided
Unassigned

Bug Description

I'm running MG5_aMC v2.6.4 on a SL 6.9 machine. The gcc/gfortran compilers and python are system defaults. (Red Hat 4.4.7-18, Python 2.6.6)

When following the tutorial on p p > t t~ process, first I see a warning message:

WARNING: program /usr/bin/python -O /home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/bin/internal/systematics.py unweighted_events.lhe.gz ./tmp_1_unweighted_events.lhe.gz --mur=0.5,1,2 --muf=0.5,1,2 --pdf=errorset --start_event=2500 --stop_event=5000 --result=./log_sys_1.txt --lhapdf_config=/home/yuanchao/bin/lhapdf-config launch ends with non zero status: 1. Stop all computation
WARNING: program /usr/bin/python -O /home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/bin/internal/systematics.py unweighted_events.lhe.gz ./tmp_2_unweighted_events.lhe.gz --mur=0.5,1,2 --muf=0.5,1,2 --pdf=errorset --start_event=5000 --stop_event=7500 --result=./log_sys_2.txt --lhapdf_config=/home/yuanchao/bin/lhapdf-config launch ends with non zero status: 1. Stop all computation

The the run crashes as the following:

INFO: End of systematics computation
INFO: # events generated with PDF: NNPDF23_lo_as_0130_qed (247000)
INFO: #Will Compute 145 weights per event.
Command "generate_events " interrupted with error:
IndexError : list index out of range
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in '/home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/run_03_tag_1_debug.log'.
Please attach this file to your report.

(log attached)

The LHAPDF (6.1.6) and fastjet (3.3.1) packages are installed manually. Previously I was using LHAPDF 6.1.5 and there's a "index out of range" error which seems fixed in 6.1.6. If I using the old syst. package (SysCalc), there's no error. And if I unset the env. variable about python interface of LHAPDF, there's no error either. From the log, I'm suspecting some working dir. handling and also a list index out of range issue:

  File "/home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/bin/internal/systematics.py", line 417, in print_cross_sections
    to_print.append(all_cross[i])
IndexError: list index out of range

BTW, there's another problem when running jobs with 1000 events. This could be another path issue?

It would be nice if some instruction can be given to get around with the problem.
Thank you very much in advance.

Yuan Chao (yuanchao) wrote :
Download full text (6.6 KiB)

Hi,

This seems to be related to your python version (which is so old that such version of python is not supported anymore by the Python author --since more than 5 years now--).
We officially still support such version of Python but it starts to be more and more difficult to test such version of Python. My advise is to use Python 2.7 instead of Python 2.6

Otherwise, the following patch is going to fix such issue. But I do not exclude that it creates new one.

Cheers,

Olivier

=== modified file 'madgraph/interface/common_run_interface.py'
--- madgraph/interface/common_run_interface.py 2018-12-22 20:32:49 +0000
+++ madgraph/interface/common_run_interface.py 2018-12-27 19:45:35 +0000
@@ -1793,6 +1793,9 @@
             event_per_job = nb_event // nb_submit
             nb_job_with_plus_one = nb_event % nb_submit
             start_event, stop_event = 0,0
+ if sys.version_info[1] == 6 and sys.version_info[0] == 2:
+ misc.gunzip(input)
+
             for i in range(nb_submit):
                 #computing start/stop event
                 event_requested = event_per_job

> On 24 Dec 2018, at 12:28, Yuan Chao <email address hidden> wrote:
>
> Public bug reported:
>
> I'm running MG5_aMC v2.6.4 on a SL 6.9 machine. The gcc/gfortran
> compilers and python are system defaults. (Red Hat 4.4.7-18, Python
> 2.6.6)
>
> When following the tutorial on p p > t t~ process, first I see a warning
> message:
>
> WARNING: program /usr/bin/python -O /home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/bin/internal/systematics.py unweighted_events.lhe.gz ./tmp_1_unweighted_events.lhe.gz --mur=0.5,1,2 --muf=0.5,1,2 --pdf=errorset --start_event=2500 --stop_event=5000 --result=./log_sys_1.txt --lhapdf_config=/home/yuanchao/bin/lhapdf-config launch ends with non zero status: 1. Stop all computation
> WARNING: program /usr/bin/python -O /home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/bin/internal/systematics.py unweighted_events.lhe.gz ./tmp_2_unweighted_events.lhe.gz --mur=0.5,1,2 --muf=0.5,1,2 --pdf=errorset --start_event=5000 --stop_event=7500 --result=./log_sys_2.txt --lhapdf_config=/home/yuanchao/bin/lhapdf-config launch ends with non zero status: 1. Stop all computation
>
> The the run crashes as the following:
>
> INFO: End of systematics computation
> INFO: # events generated with PDF: NNPDF23_lo_as_0130_qed (247000)
> INFO: #Will Compute 145 weights per event.
> Command "generate_events " interrupted with error:
> IndexError : list index out of range
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in '/home/yuanchao/work/test/MG5_aMC_v2_6_4/MY_FIRST_MG5_RUN/run_03_tag_1_debug.log'.
> Please attach this file to your report.
>
> (log attached)
>
> The LHAPDF (6.1.6) and fastjet (3.3.1) packages are installed manually.
> Previously I was using LHAPDF 6.1.5 and there's a "index out of range"
> error which seems fixed in 6.1.6. If I using the old syst. package
> (SysCalc), there's no error. And if I unset the env. variable about
> python interface of LHAPDF, there's no error either. From the log, I'm
> suspecting some working dir. handling and also a list index ...

Read more...

Changed in mg5amcnlo:
status: New → Fix Committed

Here is a patch in a text format (with correct identation)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers